Target File Reference
`#include <vector>`
`#include <osg/Quat>`
`#include <osg/Vec3>`
`#include <osg/Vec2>`
`#include <osg/Vec4>`
`#include <osg/Referenced>`
`#include <osgAnimation/Export>`

Go to the source code of this file.

## Classes

class | osgAnimation::Target
class | osgAnimation::TemplateTarget< T >

## Namespaces

namespace | osgAnimation

## Macros

#define | OSGANIMATION_TARGET 1

## Typedefs

typedef TemplateTarget< osg::Matrixf > | osgAnimation::MatrixTarget
typedef TemplateTarget< osg::Quat > | osgAnimation::QuatTarget
typedef TemplateTarget< osg::Vec3 > | osgAnimation::Vec3Target
typedef TemplateTarget< osg::Vec4 > | osgAnimation::Vec4Target
typedef TemplateTarget< osg::Vec2 > | osgAnimation::Vec2Target
typedef TemplateTarget< float > | osgAnimation::FloatTarget
typedef TemplateTarget< double > | osgAnimation::DoubleTarget

## Macro Definition Documentation

## OSGANIMATION_TARGET

#define OSGANIMATION_TARGET 1